[Asus X55A, X55V] Pop noise in headphones on S3 suspend

Bug #1034779 reported by David Henningsson on 2012-08-09
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
David Henningsson

Bug Description

Please don't triage this bug. It's being used for tracking purposes.

Changed in linux (Ubuntu):
status: New → In Progress
assignee: nobody → David Henningsson (diwic)
David Henningsson (diwic) wrote :

To turn off pin control for the pin was tested, and helped against
this issue.

BugLink: https://bugs.launchpad.net/bugs/1034779
Tested-by: Chih-Hsyuan Ho <email address hidden>
Signed-off-by: David Henningsson <email address hidden>
---
 sound/pci/hda/patch_via.c | 8 ++++++++
 1 file changed, 8 insertions(+)

Alsa-info at: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1034779/+attachment/3254105/+files/asus-x55a-alsa-info.log

diff --git a/sound/pci/hda/patch_via.c b/sound/pci/hda/patch_via.c
index 80d90cb..c9484fe 100644
--- a/sound/pci/hda/patch_via.c
+++ b/sound/pci/hda/patch_via.c
@@ -1752,6 +1752,14 @@ static int via_suspend(struct hda_codec *codec)
 {
  struct via_spec *spec = codec->spec;
  vt1708_stop_hp_work(spec);
+
+ if (spec->codec_type == VT1802) {
+ /* Fix pop noise on headphones */
+ int i;
+ for (i = 0; i < spec->autocfg.hp_outs; i++)
+ snd_hda_set_pin_ctl(codec, spec->autocfg.hp_pins[0], 0);
+ }
+
  return 0;
 }
 #endif
--
1.7.9.5

Takashi Iwai (tiwai) wrote :

At Thu, 9 Aug 2012 10:35:27 +0200,
David Henningsson wrote:
>
> To turn off pin control for the pin was tested, and helped against
> this issue.
>
> BugLink: https://bugs.launchpad.net/bugs/1034779
> Tested-by: Chih-Hsyuan Ho <email address hidden>
> Signed-off-by: David Henningsson <email address hidden>
> ---
> sound/pci/hda/patch_via.c | 8 ++++++++
> 1 file changed, 8 insertions(+)
>
> Alsa-info at: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1034779/+attachment/3254105/+files/asus-x55a-alsa-info.log
>
> diff --git a/sound/pci/hda/patch_via.c b/sound/pci/hda/patch_via.c
> index 80d90cb..c9484fe 100644
> --- a/sound/pci/hda/patch_via.c
> +++ b/sound/pci/hda/patch_via.c
> @@ -1752,6 +1752,14 @@ static int via_suspend(struct hda_codec *codec)
> {
> struct via_spec *spec = codec->spec;
> vt1708_stop_hp_work(spec);
> +
> + if (spec->codec_type == VT1802) {
> + /* Fix pop noise on headphones */
> + int i;
> + for (i = 0; i < spec->autocfg.hp_outs; i++)
> + snd_hda_set_pin_ctl(codec, spec->autocfg.hp_pins[0], 0);

Shouldn't this be spec->autocfg.hp_pins[i]?

thanks,

Takashi

> + }
> +
> return 0;
> }
> #endif
> --
> 1.7.9.5
>

David Henningsson (diwic) wrote :

To turn off pin control for the pin was tested, and helped against
this issue.

BugLink: https://bugs.launchpad.net/bugs/1034779
Tested-by: Chih-Hsyuan Ho <email address hidden>
Signed-off-by: David Henningsson <email address hidden>
---
 sound/pci/hda/patch_via.c | 8 ++++++++
 1 file changed, 8 insertions(+)

Alsa-info at: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1034779/+attachment/3254105/+files/asus-x55a-alsa-info.log

diff --git a/sound/pci/hda/patch_via.c b/sound/pci/hda/patch_via.c
index 80d90cb..c9484fe 100644
--- a/sound/pci/hda/patch_via.c
+++ b/sound/pci/hda/patch_via.c
@@ -1752,6 +1752,14 @@ static int via_suspend(struct hda_codec *codec)
 {
  struct via_spec *spec = codec->spec;
  vt1708_stop_hp_work(spec);
+
+ if (spec->codec_type == VT1802) {
+ /* Fix pop noise on headphones */
+ int i;
+ for (i = 0; i < spec->autocfg.hp_outs; i++)
+ snd_hda_set_pin_ctl(codec, spec->autocfg.hp_pins[i], 0);
+ }
+
  return 0;
 }
 #endif
--
1.7.9.5

David Henningsson (diwic) wrote :

On 08/09/2012 10:54 AM, Takashi Iwai wrote:
> At Thu, 9 Aug 2012 10:35:27 +0200,
> David Henningsson wrote:
>>
>> To turn off pin control for the pin was tested, and helped against
>> this issue.
>>
>> BugLink: https://bugs.launchpad.net/bugs/1034779
>> Tested-by: Chih-Hsyuan Ho <email address hidden>
>> Signed-off-by: David Henningsson <email address hidden>
>> ---
>> sound/pci/hda/patch_via.c | 8 ++++++++
>> 1 file changed, 8 insertions(+)
>>
>> Alsa-info at: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1034779/+attachment/3254105/+files/asus-x55a-alsa-info.log
>>
>> diff --git a/sound/pci/hda/patch_via.c b/sound/pci/hda/patch_via.c
>> index 80d90cb..c9484fe 100644
>> --- a/sound/pci/hda/patch_via.c
>> +++ b/sound/pci/hda/patch_via.c
>> @@ -1752,6 +1752,14 @@ static int via_suspend(struct hda_codec *codec)
>> {
>> struct via_spec *spec = codec->spec;
>> vt1708_stop_hp_work(spec);
>> +
>> + if (spec->codec_type == VT1802) {
>> + /* Fix pop noise on headphones */
>> + int i;
>> + for (i = 0; i < spec->autocfg.hp_outs; i++)
>> + snd_hda_set_pin_ctl(codec, spec->autocfg.hp_pins[0], 0);
>
> Shouldn't this be spec->autocfg.hp_pins[i]?

D'oh. Thanks for the review, sent new patch. Of course the actual
machine only had one HP out, so the bug was not discovered by testing.

--
David Henningsson, Canonical Ltd.
https://launchpad.net/~diwic

Takashi Iwai (tiwai) wrote :

At Thu, 9 Aug 2012 10:56:12 +0200,
David Henningsson wrote:
>
> To turn off pin control for the pin was tested, and helped against
> this issue.
>
> BugLink: https://bugs.launchpad.net/bugs/1034779
> Tested-by: Chih-Hsyuan Ho <email address hidden>
> Signed-off-by: David Henningsson <email address hidden>

Thanks, applied.

Takashi

> ---
> sound/pci/hda/patch_via.c | 8 ++++++++
> 1 file changed, 8 insertions(+)
>
> Alsa-info at: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1034779/+attachment/3254105/+files/asus-x55a-alsa-info.log
>
> diff --git a/sound/pci/hda/patch_via.c b/sound/pci/hda/patch_via.c
> index 80d90cb..c9484fe 100644
> --- a/sound/pci/hda/patch_via.c
> +++ b/sound/pci/hda/patch_via.c
> @@ -1752,6 +1752,14 @@ static int via_suspend(struct hda_codec *codec)
> {
> struct via_spec *spec = codec->spec;
> vt1708_stop_hp_work(spec);
> +
> + if (spec->codec_type == VT1802) {
> + /* Fix pop noise on headphones */
> + int i;
> + for (i = 0; i < spec->autocfg.hp_outs; i++)
> + snd_hda_set_pin_ctl(codec, spec->autocfg.hp_pins[i], 0);
> + }
> +
> return 0;
> }
> #endif
> --
> 1.7.9.5
>

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.5.0-14.15

---------------
linux (3.5.0-14.15) quantal-proposed; urgency=low

  [ Andy Whitcroft ]

  * SAUCE: fs: d_revalidate methods may be passed a NULL nameidata
    - LP: #1038075

  [ Dave Airlie ]

  * SAUCE: drm/vmwgfx: add MODULE_DEVICE_TABLE so vmwgfx loads at boot
    - LP: #1039157

  [ Ike Panhc ]

  * [Config] Enable CONFIG_DEVPTS_MULTIPLE_INSTANCES for highbank
    - LP: #1038259

  [ Tim Gardner ]

  * SAUCE: wlcore: Declare MODULE_FIRMWARE usage
    - LP: #1042918

  [ Upstream Kernel Changes ]

  * asus-nb-wmi: add some video toggle keys
    - LP: #1022427
  * [media] uvcvideo: Fix frame drop in bulk video stream
  * [media] uvcvideo: Fix alternate setting selection
  * Input: wacom - add support to Cintiq 22HD
    - LP: #1043733
  * ALSA: HDA: Create phantom jacks for fixed inputs and outputs
  * ALSA: HDA: Support single 3-pin jack without VREF on the actual pin
    - LP: #1018262
  * ALSA: hda - give 3-pin jack the name "Headphone Mic Jack"
  * ALSA: hda - Do not set GPIOs for speakers on IDT if there are no
    speakers
    - LP: #1040077
  * ALSA: hda - Fix pop noise in headphones on S3 for Asus X55A, X55V
    - LP: #1034779
  * ALSA: hda - Always call standard unsolicited event for Realtek codecs
    - LP: #1021192
  * ALSA: hda - Add the inverted digital mic workaround to Realtek codecs
  * ALSA: hda - Add inverted mic quirks for Asus U41SV, Acer 1810TZ and
    AOD260
    - LP: #1006089, #996611, #997227
  * ALSA: hda - don't create dysfunctional mixer controls for ca0132
    - LP: #1038651
  * ALSA: hda - Don't send invalid volume knob command on IDT 92hd75bxx
 -- Leann Ogasawara <email address hidden> Thu, 06 Sep 2012 10:06:28 -0700

Changed in linux (Ubuntu):
status: In Progress → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers